import type { CompletionSource } from '@codemirror/autocomplete';
import type { CompletionOptions } from '../autocompleter';
/**
 * Autocompleter for the document object, only autocompletes field names in the
 * appropriate format (either escaped or not) both for javascript and json modes
 */
export declare const createQueryAutocompleter: (options?: Pick<CompletionOptions, 'fields' | 'serverVersion'>) => CompletionSource;
//# sourceMappingURL=query-autocompleter.d.ts.map