import { type SavedQuery } from './query-history-autocompleter';
import { type CompletionSource } from '@codemirror/autocomplete';
import type { CompletionOptions } from '../autocompleter';
import type { CodemirrorThemeType } from '../editor';
export declare const createQueryWithHistoryAutocompleter: ({ savedQueries, options, queryProperty, onApply, theme, }: {
    savedQueries: SavedQuery[];
    options?: Pick<CompletionOptions, "fields" | "serverVersion"> | undefined;
    queryProperty: string;
    onApply: (query: SavedQuery['queryProperties']) => void;
    theme: CodemirrorThemeType;
}) => CompletionSource;
//# sourceMappingURL=query-autocompleter-with-history.d.ts.map